### Function

# Gimp LinkLayer get_by_id

since: 3.2

#### Declaration [src]

    GimpLinkLayer*
    gimp_link_layer_get_by_id (
      gint32 layer_id
    )

#### Description [src]

Returns a `GimpLinkLayer` representing `layer_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is a link layer or `NULL` otherwise.

Available since: 3.2

#### Parameters

`layer_id`

  Type: `gint32`

  The layer id.

#### Return value

Type: `GimpLinkLayer`

A `GimpLinkLayer` for `layer_id` or `NULL` if `layer_id` does not represent a valid link layer. The object belongs to libgimp and you must not modify or unref it.

The data is owned by the called function.
The return value can be `NULL`.